Bug 16036 - Improved user information display.
Summary: Improved user information display.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: Other   
(Show other bugs)
Version: current
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lancaster
QA Contact: Paul Lindner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-11 22:11 UTC by Paul Lindner
Modified: 2007-04-18 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-11 22:11:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Lindner 2000-08-11 22:11:23 UTC
The scripts in /home/httpd/apps/user/ need some enhancements to make them
more usable.

1) The user pane (panes/user/) should be modified to display more
information, including
    * collected preferences values
    * survey results
    * group membership

    etc.

2) An easy method of filtering based on the requesting user should be done
too.
    How about an extensible tag that does this:

    <Apps:filter require="sameuser" >
         sensitive information
    </Apps:filter>

   Note that with Apache::ASP you can nest these tags...  (cool!!!)

    Come up with a specification for how this might work and implement it.

Comment 1 Tom Lancaster 2000-08-21 17:42:55 UTC
=item filter ARGS HTML

Filters output based on permissions.
eg: 

C<<Apps:filter require="non-user">>
 ==> shows content between tags only to non-logged-in users.

C<<Apps:filter require="any-user">>
 ==> requester must be logged in.

C<<Apps:filter require="this-user" uid="123">> 
 ==> requester must be logged in and have uid 123.

C<<Apps:filter require="this-community" uid="123">>
 ==> requester must be logged in and must have at least 
one group in common with user 123.

C<<Apps:filter group="store">>
 ==> requester must belong to group "store"

C<<Apps:filter require="admin" group="store">>
 ==> requester must be an admin in group "store"

Additionally, logged in users belonging to group 'system' 
can see everything except the content for non-logged-in users.

=cut


Note You need to log in before you can comment on or make changes to this bug.